Panama< B > Class Template Reference
Inheritance diagram for Panama< B >:

## Public Member Functions

std::string | AlgorithmProvider () const
void | Reset ()
void | Iterate (size_t count, const word32 *p=NULL, byte *output=NULL, const byte *input=NULL, KeystreamOperation operation=WRITE_KEYSTREAM)

## Detailed Description

template<class B>
class Panama< B >

Definition at line 25 of file panama.h.

## Constructor & Destructor Documentation

## ~Panama()

template<class B>

virtual Panama< B >::~Panama | ( |  | ) |

inline virtual

Definition at line 28 of file panama.h.

## Member Function Documentation

## AlgorithmProvider()

template<class B>

std::string Panama< B >::AlgorithmProvider | ( |  | ) | const

Definition at line 21 of file panama.cpp.

## Reset()

template<class B>

void Panama< B >::Reset | ( |  | ) |

Definition at line 36 of file panama.cpp.

## Iterate()

template<class B>

void Panama< B >::Iterate | ( | size_t | count,
|  | const word32 * | p = NULL,
|  | byte * | output = NULL,
|  | const byte * | input = NULL,
|  | KeystreamOperation | operation = WRITE_KEYSTREAM )

Definition at line 336 of file panama.cpp.

The documentation for this class was generated from the following files:

- panama.h
- panama.cpp